Name:		xiphos 
Version:	3.1.4
Release:	8%{?dist}
Summary:	Bible study and research tool

Group:		Applications/Text
License:	GPLv2+
URL:		http://xiphos.org/
#Source0:	http://downloads.sourceforge.net/gnomesword/xiphos-%{version}.tar.gz
Source0:	xiphos-20110705svn4266.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	sword-devel >= 1.6.0
BuildRequires:	gettext
BuildRequires:	desktop-file-utils
BuildRequires:	gnome-doc-utils
BuildRequires:	gtkhtml3-devel
BuildRequires:	webkitgtk3-devel
BuildRequires:	libgsf-devel
BuildRequires:	dbus-glib-devel
#BuildRequires:	ImageMagick-c++-devel
BuildRequires:	perl(XML::Parser) intltool
BuildRequires:	rarian-compat
Requires:	yelp
Obsoletes:	gnomesword < 2.4.2
Provides:	gnomesword = %{version}-%{release}

%description
Xiphos (formerly known as GnomeSword) is a Bible study tool written for Linux,
UNIX, and Windows under the GNOME toolkit, offering a rich and featureful
environment for reading, study, and research using modules from The SWORD
Project and elsewhere.

%prep
%setup -q -n %{name}-svn4266

%build
CFLAGS='%{optflags}' CXXFLAGS='%{optflags}' ./waf configure	\
	--prefix %{_prefix} --backend=webkit --gtk=3 --debug-level optimized --enable-delint
 
./waf build -v

%install
rm -rf %buildroot
./waf install --destdir %{buildroot}

desktop-file-install --delete-original \
	--add-category=X-Bible		\
	--add-category=X-Religion	\
	--dir=%buildroot%_datadir/applications \
	--copy-name-to-generic-name \
	%buildroot%_datadir/applications/xiphos.desktop

# package docs with macro
rm -rf %buildroot%_datadir/doc/%{name}

%find_lang %{name}

%clean
rm -rf %buildroot

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README RELEASE-NOTES TODO Xiphos.ogg
%_bindir/xiphos
%_bindir/xiphos-nav
%_datadir/xiphos/
%_datadir/icons/hicolor/scalable/apps/xiphos.svg
%_datadir/omf/xiphos/
%_datadir/applications/xiphos.desktop
%_datadir/gnome/help/xiphos

%changelog
* Tue Jul 05 2011 Deji Akingunola <dakingun@gmail.com> - 3.1.4-8
- Update to latest svn snapshot (webkit branch)

* Mon Jun 27 2011 Deji Akingunola <dakingun@gmail.com> - 3.1.4-6
- Update to svn snapshot from the webkit branch for gtk3 support

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Feb 01 2011 Deji Akingunola <dakingun@gmail.com> - 3.1.4-4
- Rebuild for newer gtkhtml3

* Thu Dec 23 2010 Deji Akingunola <dakingun@gmail.com> - 3.1.4-3
- Apply patch to bump the upper limit of allowable xulrunner version

* Wed Dec 22 2010 Deji Akingunola <dakingun@gmail.com> - 3.1.4-2
- Rebuild for newer xulrunner and gtkhtml3

* Sun Oct 17 2010 Deji Akingunola <dakingun@gmail.com> - 3.1.4-1
- Update to 3.1.4

* Fri Jul 16 2010 Deji Akingunola <dakingun@gmail.com> - 3.1.3-3
- Rebuild (with a small patch) for gtkhtml3-3.31.5.

* Fri May 28 2010 Deji Akingunola <dakingun@gmail.com> - 3.1.3-2
- Apply Karl Kleinpaste patch to fix the jump-to-anchor failure.

* Tue Mar 23 2010 Deji Akingunola <dakingun@gmail.com> - 3.1.3-1
- New upstream version

* Mon Mar 15 2010 Deji Akingunola <dakingun@gmail.com> - 3.1.2-4
- Backport upstream patch to fix bugs detected by ABRT caused by empty settings.xml file.

* Sat Mar 13 2010 Deji Akingunola <dakingun@gmail.com> - 3.1.2-3
- Backport upstream patch to fix bug with xulrunner-1.9.2.

* Sat Mar 07 2010 Deji Akingunola <dakingun@gmail.com> - 3.1.2-2
- Rebuild with current xulrunner to fix crashes.

* Tue Dec 29 2009 Deji Akingunola <dakingun@gmail.com> - 3.1.2-1
- New upstream version

* Mon Aug 10 2009 Deji Akingunola <dakingun@gmail.com> - 3.1.1-1
- New upstream version

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun May 18 2009 Deji Akingunola <dakingun@gmail.com> - 3.1-1
- Update to the 3.1 release

* Tue Mar 10 2009 Deji Akingunola <dakingun@gmail.com> - 3.0.1-2
- Couple of fixes from package review (Nils Philippsen)

* Fri Feb 20 2009 Deji Akingunola <dakingun@gmail.com> - 3.0.1-1
- Update to the bugfix 3.0.1 release

* Sun Feb 08 2009 Deji Akingunola <dakingun@gmail.com> - 3.0.0-1
- Gnomesword renamed to Xiphos
- First release under the new name

* Thu Nov 20 2008 Deji Akingunola <dakingun@gmail.com> - 2.4.1-1
- Update to 2.4.1

* Sun Sep 21 2008 Deji Akingunola <dakingun@gmail.com> - 2.4.0-1
- Update to 2.4.0

* Sun Aug 02 2008 Deji Akingunola <dakingun@gmail.com> - 2.3.6-2
- Package the 'RELEASE-NOTES'

* Sat Aug 02 2008 Deji Akingunola <dakingun@gmail.com> - 2.3.6-1
- Update to 2.3.6

* Thu Jul 24 2008 Deji Akingunola <dakingun@gmail.com> - 2.3.5-2
- Bump EVR 

* Thu Jul 03 2008 Deji Akingunola <dakingun@gmail.com> - 2.3.5-1
- Update to 2.3.5

* Mon Jun 23 2008 Deji Akingunola <dakingun@gmail.com> - 2.3.4-2
- Remove --enable-gtkthml configure option, to enable gecko support

* Mon May 26 2008 Deji Akingunola <dakingun@gmail.com> - 2.3.4-1
- Update to 2.3.4

* Sun Feb 10 2008 Deji Akingunola <dakingun@gmail.com> - 2.3.3-2
- Rebuild for gcc43

* Sun Jan 20 2008 Deji Akingunola <dakingun@gmail.com> - 2.3.3-1
- Update to 2.3.3

* Fri Dec 28 2007 Deji Akingunola <dakingun@gmail.com> - 2.3.2-1
- Update to 2.3.2

* Thu Dec 20 2007 Deji Akingunola <dakingun@gmail.com> - 2.3.1-4
- Build with gtkhtml for now, until building with latest xulrunner is fixed

* Thu Nov 29 2007 Deji Akingunola <dakingun@gmail.com> - 2.3.1-3
- Rebuild for firefox-2.0.0.10

* Tue Nov 06 2007 Deji Akingunola <dakingun@gmail.com> - 2.3.1-2
- Rebuild for firefox-2.0.0.9

* Mon Nov 05 2007 Deji Akingunola <dakingun@gmail.com> - 2.3.1
- Update to version 2.3.1

* Sat Aug 25 2007 Deji Akingunola <dakingun@gmail.com> - 2.2.3-5
- Rebuild

* Fri Aug 03 2007 Deji Akingunola <dakingun@gmail.com> - 2.2.3-4
- License tag update
- Rebuild for new icu

* Sat Jun 09 2007 Deji Akingunola <dakingun@gmail.com> - 2.2.3-3
- Require 'yelp' for the Help menu (BZ #243395)
- Remove extraneous key from the desktop file

* Sun Mar 25 2007 Deji Akingunola <dakingun@gmail.com> - 2.2.3
- Version 2.2.3
- Configure tweak no longer necesary, gtkhtml38 now in Extras

* Tue Mar 13 2007 Deji Akingunola <dakingun@gmail.com> - 2.2.2.1-5
- Tweak configure script to allow building with newer gtkhml3

* Tue Mar 13 2007 Deji Akingunola <dakingun@gmail.com> - 2.2.2.1-4
- Another rebuild for gtkhtml

* Wed Feb 28 2007 Deji Akingunola <dakingun@gmail.com> - 2.2.2.1-3
- Rebuild for new gtkhtml

* Sat Feb 24 2007 Deji Akingunola <dakingun@gmail.com> - 2.2.2.1-2
- Add libgnomeprintui22-devel as BR

* Fri Feb 23 2007 Deji Akingunola <dakingun@gmail.com> - 2.2.2.1-1
- New release

* Sun Jan 28 2007 Deji Akingunola <dakingun@gmail.com> - 2.2.1-1
- Remove un-neccesary gnome-spell and icu BRs

* Sat Jan 27 2007 Deji Akingunola <dakingun@gmail.com> - 2.2.1-1
- Update to 2.2.1

* Tue Dec 26 2006 Deji Akingunola <dakingun@gmail.com> - 2.2.0-1
- New stable release

* Sun Dec 10 2006 Deji Akingunola <dakingun@gmail.com> - 2.1.10-3
- Add gnome-doc-utils to BR

* Sun Dec 10 2006 Deji Akingunola <dakingun@gmail.com> - 2.1.10-2
- Clean up spec file

* Sun Dec 10 2006 Deji Akingunola <dakingun@gmail.com> - 2.1.10-1
- New Release

* Mon Nov 13 2006 Deji Akingunola <dakingun@gmail.com> - 2.1.9-1
- New release (2.1.9)

* Thu Nov 09 2006 Deji Akingunola <dakingun@gmail.com> - 2.1.8-3
- Seems parallel make is causing problems

* Thu Nov 09 2006 Deji Akingunola <dakingun@gmail.com> - 2.1.8-2
- Fix Build requires

* Wed Nov 08 2006 Deji Akingunola <dakingun@gmail.com> - 2.1.8-1
- Update to new (unstable) version 

* Wed Sep 20 2006 Deji Akingunola <dakingun@gmail.com> - 2.1.6-4
- Add perl(XML::Parser) to the BRs

* Wed Sep 20 2006 Deji Akingunola <dakingun@gmail.com> - 2.1.6-3
- Take over from Michael A. Peters
- Rebuild for FC6

* Tue May 02 2006 Michael A. Peters <mpeters@mac.com> - 2.1.6-2
- Fixed crash when viewing OT using KJV module (Patch0)
- Closes bug 190413

* Tue Apr 25 2006 Michael A. Peters <mpeters@mac.com> - 2.1.6-1
- New upstream version
- removed commented out fixes for since upstream fixed 64-bit issues

* Mon Apr 17 2006 Michael A. Peters <mpeters@mac.com> - 2.1.5-3
- fix bug 188581 (187198)

* Sat Feb 18 2006 Michael A. Peters <mpeters@mac.com> - 2.1.5-2
- Rebuild in devel

* Wed Dec 14 2005 Michael A. Peters <mpeters@mac.com> - 2.1.5-1
- New upstream version, works with gtkhtml3-3.8
- disable x86_64 patch

* Thu Sep 15 2005 Michael A. Peters <mpeters@mac.com> - 2.1.2-2.3
- trying patch suggested by Tom 'spot' Callaway to fix x86_64 bug
- 160186
- libtool, aclocal, autoheader, automake, autoconf on x86_64

* Sun Jun 12 2005 Michael A. Peters <mpeters@mac.com> - 2.1.2-2.1
- Exclude x86_64 for now

* Thu Jun 09 2005 Michael A. Peters <mpeters@mac.com> - 2.1.2-2
- added --copy-name-to-generic-name to desktop-file-install
- fixed line break packaging error

* Mon Jun 06 2005 Michael A. Peters <mpeters@mac.com> - 2.1.2-1
- Initial cvs checkin for Fedora Extras
